#version 150

in  vec3 in_Position;
in  vec3 in_Normal;
in  vec3 in_Color;
in  vec2 in_TexCoord;
uniform mat4 modelviewMatrix;
uniform mat4 projectionMatrix;
out float shade;
out vec3 color;
out vec2 texcoord;

uniform vec3 lightpos;
uniform int enable_light;

void main(void)
{
//	vec3 pos = vec3(0.7, 0.7, -0.7);
	
	mat3 n = mat3(modelviewMatrix);
	vec3 normal = n * normalize(in_Normal);
	vec3 lpos = vec3(modelviewMatrix * vec4(lightpos, 1.0));
	vec3 pos = vec3(modelviewMatrix * vec4(in_Position, 1.0));
	shade = dot(normal, normalize(lpos - pos)) + 0.1;
	color = in_Color;
	texcoord = in_TexCoord;
	gl_Position = projectionMatrix * modelviewMatrix * vec4(in_Position, 1.0);
}
